
QGIS Application - Bug report #14930

Clip tool doesn't work with MSSQL

2016-05-31 06:42 AM - Andre Jesus

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.8.9 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 22881

Description

Toolbox > QGIS geoalgorithms > Vector overlay tools > clip

Returns error: 

float division by zero See log for more details

The tool works with the layers if I export them to shapefile.

Bug occurs in 2.8.9 and 2.14.3

History

#1 - 2016-06-02 09:58 AM - Alexander Bruy

- Status changed from Open to Feedback

Please provide full error from QGIS log.

#2 - 2016-06-02 10:03 AM - Andre Jesus

Alexander Bruy wrote:

Please provide full error from QGIS log.

I'd love to. How do I get It?

#3 - 2016-06-02 10:32 AM - Alexander Bruy

Andre Jesus wrote:

I'd love to. How do I get It?

Start QGIS and run algorithm which causes this issue with your data. When you get message "float division by zero See log for more details" press bubble
button in the right bottom corner of the QGIS status bar. You will see panel with tabs, check "Processing" tab and copy all text from it here.

#4 - 2016-06-02 10:58 AM - Andre Jesus

When I tried to run the tool to get the log It worked flawless, in both 2.8.9 and 2.14.3 versions. 

I can only think there were some invalid geometries or something else in those layers, as I used the same ones today.

I really tried every way to test the tool before but every time I got the same error. Sorry the wasted time.

#5 - 2016-06-10 01:01 AM - Alexander Bruy

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Reopen if necessary
